Description
Siehe Posting von Anibal (http:/forum.dcmtk.org/viewtopic.php?p=5227#5227)
Die folgenden Fehlerbehandlungsoptionen koennten auch fir dsr2xml interessant sein:
error handling:
-Ec —--ignore-constraints ignore relationship content constraints
-Ee —--ignore-item-errors do not abort on content item errors, just warn

(e.g. missing value type specific attributes)

-Ei —--skip-invalid-items skip invalid content items (incl. sub-tree)

Ich sehe allerdings das Problem, dass damit auch fehlerhafte oder sogar unvollstaendige
SR-Dokument in das XML-Format ueberfuehrt werden, das eigentlich ja eine vollstaendige
Abbildung darstellen soll.

=== Nachtrag JR (2010-06-15) ===

Siehe auch: http://forum.dcmtk.org/viewtopic.php?t=2560

History

#1 - 2012-04-26 14:58 - Jorg Riesmeier

- Status changed from New to Rejected

#2 - 2014-04-22 16:39 - Jorg Riesmeier
- Category set to Application
- Status changed from Rejected to Assigned

- Assignee set to Jérg Riesmeier

Clunie schreibt in einer E-Mail an mich:

"As for dsr2xml, for those who are using it (only) as a tool

to extract information it would be extremely desirable to be
able to handle "bad" input with a command line option, since
otherwise the entire information content of the files is
unusable, which is a shame, and we know there are imperfect
modalities and evidence creators out there, and always will
be."

#3 - 2014-05-06 18:13 - JOorg Riesmeier
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Done: http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=1a2e407f8afe42113cf2eb13d932{8bc5417f8af
